.TH STAGE2 "1" "July 2022" "mtkclient"
.SH NAME
stage2 \- Stage2 client for MTK expoits
.SH SYNOPSIS
.B stage2
[\fB\-h\fR] \fIaction\fR
.SH DESCRIPTION
.B stage2
is used to run commands in the second stage of the mtkclient exploit.
.SH OPTIONS
.TP
.B rpmb
Dump the rpmb.
.TP
.B preloader
Dump the preloader.
.TP
.B boot2
Dump boot2.
.TP
\fBmemread\fR \fIaddr\fR \fIlength\fR [\fB\-\-filename\fR \fIfile\fR]
Read a specific address of memory to length (both in hex), optionally to file.
.TP
\fBmemwrite\fR \fIaddr\fR \fIlength\fR [\fB\-\-data\fR \fIdata\fR] [\fB\-\-filename\fR \fIfile\fR]
Write some hex data to a specific address of memory plus length (both
also in hex), either specified in the command or read from a file.
.TP
.B reboot
Reboot the target device.
.TP
\fBseccfg\fR [\fBlock\fR] [\fBunlock\fR]
Generate seccfg (lock or unlock the bootloader).
.TP
\fBkeys \-\-mode\fR [\fBsej\fR] [\fBdxcc\fR]
Extract keys in sej or dxcc mode.
.SH COPYRIGHT
Copyright \(co 2018\-2021 Bjoern Kerler <info@revskills.de>.
.PP
.br
This is free software; see the source for copying conditions.
There is NO WARRANTY, to the extent permitted by law.
